CNMAC(4) | Device Drivers Manual (evbmips) | CNMAC(4)

# NAME

`cnmac` — Cavium OCTEON gigabit Ethernet driver

# SYNOPSIS

`cnmac* at octgmx?`

# DESCRIPTION

The `cnmac` driver supports gigabit Ethernet interfaces on the Cavium OCTEON Plus CN50xx and Cavium OCTEON III CN71xx systems.

It presently provides IPv4/TCP/UDP checksumming on reception only. It also supports VLAN-sized frames.

# SEE ALSO

arp(4), ifmedia(4), netintro(4), vlan(4), ifconfig(8)

# HISTORY

The `cnmac` driver first appeared in NetBSD 8.0.

# AUTHORS

The `cnmac` driver was written for NetBSD by Internet Initiative Japan Inc.

February 7 2026 | NetBSD 11.99